Skip to main content
POST
/
customers
/
request-card
/
{customerId}
Request Card
curl --request POST \
  --url https://testapi.fractalpay.com/api/v1/customers/request-card/{customerId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant_key": "{{merchant_key}}"
}
'
{
  "message": "Request sent successfully",
  "result": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Path Parameters

customerId
string
required

The customer's unique ID. Returned in the customer_id field of the Create Customer (POST /customers/add) response. To retrieve a list of all customers and their IDs, use the Get Customers (GET /customers) endpoint.

Body

application/json
merchant_key
string

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

Response

200 - application/json

Request Card

message
string
Example:

"Request sent successfully"

result
boolean
Example:

true